Activity
Get recent daily, aggregated activity stats for your list. For example, view unsubscribes, signups, total emails sent, opens, clicks, and more, for up to 180 days.
Available methods
Get recent list activity
GET /lists/{list_id}/activity
Get up to the previous 180 days of daily detailed aggregated activity stats for a list, not including Automation activity.
Path parameters
list_id
The unique id for the list.
Query string parameters
fields
Type: Array
Title: Fields
Read only: false
A comma-separated list of fields to return. Reference parameters of sub-objects with dot notation.
exclude_fields
Type: Array
Title: Exclude Fields
Read only: false
A comma-separated list of fields to exclude. Reference parameters of sub-objects with dot notation.
Response body parameters
activity
Type: Array
Title: List Activity
Read only: false
Recent list activity.
Show properties
day
Type: String
Title: Day
Read only: true
The date for the activity summary.
emails_sent
Type: Integer
Title: Emails Sent
Read only: true
The total number of emails sent on the date for the activity summary.
unique_opens
Type: Integer
Title: Unique Opens
Read only: true
The number of unique opens.
recipient_clicks
Type: Integer
Title: Recipient Clicks
Read only: true
The number of clicks.
hard_bounce
Type: Integer
Title: Hard Bounces
Read only: true
The number of hard bounces.
soft_bounce
Type: Integer
Title: Soft Bounces
Read only: true
The number of soft bounces
subs
Type: Integer
Title: Subscribes
Read only: true
The number of subscribes.
unsubs
Type: Integer
Title: Unsubscribes
Read only: true
The number of unsubscribes.
other_adds
Type: Integer
Title: Other Adds
Read only: true
The number of subscribers who may have been added outside of the double opt-in process , such as imports or API activity.
other_removes
Type: Integer
Title: Other Removes
Read only: true
The number of subscribers who may have been removed outside of unsubscribing or reporting an email as spam (for example, deleted subscribers).
_links
Type: Array
Title: Links
Read only: true
A list of link types and descriptions for the API schema documents.
Show properties
rel
Type: String
Title: Rel
Read only: true
As with an HTML ‘rel’ attribute, this describes the type of link.
href
Type: String
Title: Href
Read only: true
This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
method
Type: String
Title: Method
Read only: true
The HTTP method that should be used when accessing the URL defined in ‘href’.
Possible Values:
GET
POST
PUT
PATCH
DELETE
OPTIONS
HEAD
targetSchema
Type: String
Title: Target Schema
Read only: true
For GETs, this is a URL representing the schema that the response should conform to.
schema
Type: String
Title: Schema
Read only: true
For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
list_id
Type: String
Title: List ID
Read only: false
The unique id for the list.
total_items
Type: Integer
Title: Item Count
Read only: false
The total number of items matching the query regardless of pagination.
_links
Type: Array
Title: Links
Read only: true
A list of link types and descriptions for the API schema documents.
Show properties
rel
Type: String
Title: Rel
Read only: true
As with an HTML ‘rel’ attribute, this describes the type of link.
href
Type: String
Title: Href
Read only: true
This property contains a fully-qualified URL that can be called to retrieve the linked resource or perform the linked action.
method
Type: String
Title: Method
Read only: true
The HTTP method that should be used when accessing the URL defined in ‘href’.
Possible Values:
GET
POST
PUT
PATCH
DELETE
OPTIONS
HEAD
targetSchema
Type: String
Title: Target Schema
Read only: true
For GETs, this is a URL representing the schema that the response should conform to.
schema
Type: String
Title: Schema
Read only: true
For HTTP methods that can receive bodies (POST and PUT), this is a URL representing the schema that the body should conform to.
Example request
curl --request GET \
--url 'https://usX.api.mailchimp.com/3.0/lists/57afe96172/activity' \
--user 'anystring:apikey' \
--include
Example response
HTTP/1.1 200 OK
Server: nginx
Content-Type: application/json; charset=utf-8
Content-Length: 748
Vary: Accept-Encoding
X-Request-Id: 43649ecb-ffc9-4265-8b90-4bb1c474439a
Link: <https://api.mailchimp.com/schema/3.0/Lists/Activity/Collection.json>; rel="describedBy"
Date: Wed, 16 Sep 2015 17:21:53 GMT
Connection: keep-alive
{
"activity": [
{
"day": "2015-09-16",
"emails_sent": 23,
"unique_opens": 20,
"recipient_clicks": 36,
"hard_bounce": 0,
"soft_bounce": 0,
"subs": 12,
"unsubs": 0,
"other_adds": 2,
"other_removes": 0
},
{
"day": "2015-09-15",
"emails_sent": 0,
"unique_opens": 0,
"recipient_clicks": 0,
"hard_bounce": 0,
"soft_bounce": 0,
"subs": 1,
"unsubs": 0,
"other_adds": 202,
"other_removes": 0
}
],
"list_id": "57afe96172",
"total_items": 13517,
"_links": [
{
"rel": "self",
"href": "https://usX.api.mailchimp.com/3.0/lists/57afe96172/activity",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Lists/Activity/Collection.json"
},
{
"rel": "parent",
"href": "https://usX.api.mailchimp.com/3.0/lists/57afe96172",
"method": "GET",
"targetSchema": "https://api.mailchimp.com/schema/3.0/Lists/Instance.json"
}
]
}
Error response
type
Type: String
Title: Problem Type
Read only: false
An absolute URI that identifies the problem type. When dereferenced, it should provide human-readable documentation for the problem type.
title
Type: String
Title: Error Title
Read only: false
A short, human-readable summary of the problem type. It shouldn’t change based on the occurrence of the problem, except for purposes of localization.
status
Type: Integer
Title: HTTP Status Code
Read only: false
The HTTP status code (RFC2616, Section 6) generated by the origin server for this occurrence of the problem.
detail
Type: String
Title: Error Message
Read only: false
A human-readable explanation specific to this occurrence of the problem. Learn more about errors .
instance
Type: String
Title: Instance ID
Read only: false
A string that identifies this specific occurrence of the problem. Please provide this ID when contacting support.